# discover_bus_map Struct Reference
[Types]

`#include <discover.h>`

## Data Fields

char * | name
int | scan_default
int | scan_never
discover_sysdep_raw_func_t * | get_raw

## Detailed Description

Bus scanning information is loaded from the config file. The scan_default member may be set to 0 to avoid scanning a specified bus. If the scan_never flag is set, the bus will never be scanned; this behavior is controlled from the config file.

The function pointer exists to allow client code to override the sysdeps; it is used by the unit tests provided with Discover.

Definition at line 178 of file discover.h.

## Field Documentation

discover_sysdep_raw_func_t* discover_bus_map::get_raw

| Function pointer that will acquire data Definition at line 186 of file discover.h. Referenced by discover_get_devices().

char* discover_bus_map::name

| Human-readable name Definition at line 180 of file discover.h. Referenced by discover_conf_get_bus_name().

int discover_bus_map::scan_default

| Boolean (sort of) defining the bus's default behavior Definition at line 182 of file discover.h.

int discover_bus_map::scan_never

| Never scan this bus if true Definition at line 184 of file discover.h. Referenced by discover_get_devices().

The documentation for this struct was generated from the following file:

- /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover.h